# -*- coding: utf-8 -*-


class YqlError(Exception):
    def __init__(self, message=None, errs=None, pub_url=None):
        self.errs = '\n'.join([err.format_issue() for err in errs])
        self.pub_url = pub_url
        self.message = '\n'.join([message, self.pub_url, self.errs])
    pass


class BigDataError(Exception):
    def __init__(self, message=None):
        self.message = message
    pass


class WorkerError(Exception):
    def __init__(self, message=None):
        self.message = message
    pass


class CurrencyError(Exception):
    def __init__(self, message=None):
        self.message = message
    pass


class NoReportsError(Exception):
    def __init__(self, message=None):
        self.message = message
    pass
